﻿@model OsobaViewModel

@{
    ViewData["Title"] = "Izmjena osobe " + Model.Ime;
}

<h1>Dodaj novu osobu</h1>
<p>
    <small>
        Stranica za uređivanje osobe. Moguće je uređivanje i brisanje starih kontakta i dodavanje novih kontakta.
    </small>
</p>

<div class="container">
    <form id="dokument_form" method="post" asp-action="Edit"
          asp-route-Oib="@Model.Oib"
          asp-route-page="@ViewBag.Page"
          asp-route-sort="@ViewBag.Sort"
          asp-route-ascending="@ViewBag.Ascending">
        <input asp-for="Oib" type="hidden" />
        <div asp-validation-summary="All" class="form-group row"></div>

        <div class="form-group row">
            <label asp-for="Ime" class="col-sm-1 col-form-label"></label>
            <div class="col-sm-2">
                <input class="form-control" asp-for="Ime" />
            </div>

            <label asp-for="Prezime" class="col-sm-1 col-form-label"></label>
            <div class="col-sm-3">
                <input class="form-control" asp-for="Prezime" />
            </div>

            <div class="col-sm-2">
                <button id="save" type="submit" class="btn btn-sm btn-primary save" title="Spremi"><i class="fas fa-save"></i></button>
                <a class="btn btn-sm btn-primary cancel"
                   asp-action="Edit"
                   asp-route-Oib="@Model.Oib"
                   asp-route-page="@ViewBag.Page"
                   asp-route-sort="@ViewBag.Sort"
                   asp-route-ascending="@ViewBag.Ascending"
                   title="Osvježi">
                    <i class="fas fa-sync-alt"></i>
                </a>
                <a class="btn btn-sm btn-primary cancel"
                   asp-action="Index"
                   asp-route-page="@ViewBag.Page"
                   asp-route-sort="@ViewBag.Sort"
                   asp-route-ascending="@ViewBag.Ascending"
                   title="Odustani">
                    <i class="fas fa-undo-alt"></i>
                </a>
            </div>
        </div>

        <div class="form-group row">
            <label asp-for="Adresa" class="col-sm-1 col-form-label"></label>
            <div class="col-sm-2">
                <input class="form-control" asp-for="Adresa" />
            </div>
            <label asp-for="FkMjesto" class="col-sm-1 col-form-label"></label>
            <div class="col-sm-3">
                <input class="form-control" data-autocomplete="mjesto"
                       data-autocomplete-placeholder-name="mjestoosobe" asp-for="NazivMjesta"
                       value="@Model.NazivMjesta" />
                <input type="hidden" asp-for="FkMjesto" data-autocomplete-placeholder="mjestoosobe" />
            </div>
        </div>

        <div class="form-group row">
            <label asp-for="FkTvrtka" class="col-sm-1 col-form-label"></label>
            <div class="col-sm-2">
                <input class="form-control" data-autocomplete="tvrtka"
                       data-autocomplete-placeholder-name="tvrtkaosobe" asp-for="NazivTvrtke"
                       value="@Model.NazivTvrtke" />
                <input type="hidden" asp-for="FkTvrtka" data-autocomplete-placeholder="tvrtkaosobe" />
            </div>

            <label asp-for="FkFunkcijaId" class="col-sm-1 col-form-label"></label>
            <div class="col-sm-3">
                <input class="form-control" data-autocomplete="funkcija"
                       data-autocomplete-placeholder-name="funkcijaosobe" asp-for="NazivFunkcije"
                       value="@Model.NazivFunkcije" />
                <input type="hidden" asp-for="FkFunkcijaId" data-autocomplete-placeholder="funkcijaosobe" />
            </div>

            <label asp-for="FkStrucnaSprema" class="col-sm-2 col-form-label"></label>
            <div class="col-sm-3">
                <input class="form-control" data-autocomplete="strucnasprema"
                       data-autocomplete-placeholder-name="strucnaspremaosobe" asp-for="NazivStrucneSpreme"
                       value="@Model.NazivStrucneSpreme" />
                <input type="hidden" asp-for="FkStrucnaSprema" data-autocomplete-placeholder="strucnaspremaosobe" />
            </div>
        </div>

        <div class="col-sm-10">
            <partial name="OsobaKontakti" model="Model.OsobaKontakti" />
        </div>

    </form>
</div>

<partial name="NoviKontaktTemplate" />

@section styles{
    <link rel="stylesheet" href="~/lib/jqueryui/themes/base/jquery-ui.css" />
}

@section scripts{
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script src="~/js/autocomplete.js" asp-append-version="true"></script>
    <script src="~/js/osoba_kontakt.js" asp-append-version="true"></script>
}